Job Operations With Make Methods
The job operations with make methods resource.
Basehttps://rest.carbon.ms/jobOperationsWithMakeMethods
GET
/jobOperationsWithMakeMethodsList job operations with make methodss
Retrieve a paginated list of job operations with make methodss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/jobOperationsWithMakeMethods
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationsWithMakeMethods?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"makeMethodId": "xyz789",
"id": "abc123def456",
"jobId": "xyz789",
"jobMakeMethodId": "xyz789",
"order": 0,
"processId": "xyz789",
"workCenterId": "xyz789",
"description": "string"
}
]GET
/jobOperationsWithMakeMethodsRetrieve a job operations with make methods
Fetch a single job operations with make methods by filtering on `makeMethodId`.
Query parameters
makeMethodIdstringMatch on the job operations with make methods's `makeMethodId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/jobOperationsWithMakeMethods
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationsWithMakeMethods?makeMethodId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"makeMethodId": "xyz789",
"id": "abc123def456",
"jobId": "xyz789",
"jobMakeMethodId": "xyz789",
"order": 0,
"processId": "xyz789",
"workCenterId": "xyz789",
"description": "string"
}